Subject: bug#25485: 25.1; Having trouble setting --time-style in dired-listing-switches

From: Chunyang Xu <[email-masked]>
Date: Thu, 19 Jan 2017 22:34:31 +0800

I want to custom the file timestamps used in dired through the option:

  --time-style='+%_m月 %d %H:%M'

then I adjust `dired-listing-switches' accordingly:

  (setq dired-listing-switches "-al --time-style='+%_m月 %d %H:%M'")

However, it doesn't work, it signals an error, here is the Backtrace:

Debugger entered--Lisp error: (error "Listing directory failed but `access-file' worked")
  signal(error ("Listing directory failed but `access-file' worked"))
  error("Listing directory failed but `access-file' worked")
  insert-directory("/tmp/" "--dired -al --time-style='+%_m月 %d %H:%M'" nil t)
  dired-insert-directory("/tmp/" "-al --time-style='+%_m月 %d %H:%M'" nil nil t)
  dired-readin-insert()
  dired-readin()
  dired-internal-noselect("/tmp/" nil)
  dired-noselect("/tmp" nil)
  dired("/tmp" nil)
  funcall-interactively(dired "/tmp" nil)
  call-interactively(dired record nil)
  command-execute(dired record)
  helm-M-x(nil "dired")
  funcall-interactively(helm-M-x nil "dired")
  call-interactively(helm-M-x nil nil)
  command-execute(helm-M-x)

I also try the following, they don't work either.

(setq dired-listing-switches "-al --time-style=\"+%_m月 %_d %H:%M\"")
(setq dired-listing-switches "-al --time-style=+%_m月\\ %d\\ %H:%M")

In GNU Emacs 25.1.1 (x86_64-apple-darwin16.3.0, Carbon Version 157 AppKit 1504.76)
 of 2017-01-15 built on sierra.internal.macports.net
Windowing system distributor 'Apple Inc.', version 10.12.2
Configured using:
 'configure --prefix=/opt/local --with-mac
 --enable-mac-app=/Applications/MacPorts --without-rsvg
 --without-imagemagick 'CFLAGS=-pipe -Os -fobjc-arc -arch x86_64'
 CPPFLAGS=-I/opt/local/include 'LDFLAGS=-L/opt/local/lib
 -Wl,-headerpad_max_install_names -arch x86_64''